/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-26 16:27:34 UTC)
 * on 2013-07-31 at 19:56:51 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.gamesManagement.model;

/**
 * This is a JSON template for achievement reset all response.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services Management API. For a
 * detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class AchievementResetAllResponse extends com.google.api.client.json.GenericJson {

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * gamesManagement#achievementResetAllResponse.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * The achievement reset results.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<AchievementResetResponse> results;

  static {
    // hack to force ProGuard to consider AchievementResetResponse used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(AchievementResetResponse.class);
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * gamesManagement#achievementResetAllResponse.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * gamesManagement#achievementResetAllResponse.
   * @param kind kind or {@code null} for none
   */
  public AchievementResetAllResponse setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The achievement reset results.
   * @return value or {@code null} for none
   */
  public java.util.List<AchievementResetResponse> getResults() {
    return results;
  }

  /**
   * The achievement reset results.
   * @param results results or {@code null} for none
   */
  public AchievementResetAllResponse setResults(java.util.List<AchievementResetResponse> results) {
    this.results = results;
    return this;
  }

  @Override
  public AchievementResetAllResponse set(String fieldName, Object value) {
    return (AchievementResetAllResponse) super.set(fieldName, value);
  }

  @Override
  public AchievementResetAllResponse clone() {
    return (AchievementResetAllResponse) super.clone();
  }

}
